## etherconf 1.10

=== debian/changelog ===
etherconf (1.10) unstable; urgency=low

  * Fix validation of multiple interfaces.  Thanks to Richard Hirst.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Tue,  5 Mar 2002 15:18:45 -0500

etherconf (1.9) unstable; urgency=low

  * Fix bug where you got a hostname like 'foo.' when leaving domainname
    blank.  I don't know why you'd leave domainname blank, but
    whatever...

 -- Eric Gillespie, Jr. <epg@progeny.com>  Wed, 20 Feb 2002 12:30:09 -0500

etherconf (1.8) unstable; urgency=low

  * Use the already-requested widget object stored in self, instead of 
    requesting it again, when validating name server entries.

 -- Jeff Licquia <jlicquia@progeny.com>  Tue, 12 Feb 2002 11:26:04 -0500

etherconf (1.7) unstable; urgency=low

  * Set proper priority.
  * Wording change.
  * Hide the E-mail relay if postfix isn't installed, and really set the
    relay if it is.
  * Update Standard-Version.
  * Add Build-Depends-Indep on debhelper.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 30 Jan 2002 17:51:45 -0500

etherconf (1.6) unstable; urgency=low

  * Don't show or use the mailhub entry unless postfix is installed.
  * Added validation dialog when an IP address or netmask isn't
    provided and the interface type is manual.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 28 Jan 2002 11:17:31 -0500

etherconf (1.5) unstable; urgency=low

  * Most changes thanks to Eric Gillespie, Jr. <epg@progeny.com>.
  * Set maintainer to debian-packages@progeny.com.
  * etherconf.config: Only set etherconf/dhcphost:$device to
    etherconf/hostname if etherconf/dhcphost:$device is not already set.
    Had i known that the config script was run everytime the postinst is
    run (even if you do 'sudo /var/lib/dpkg/info/etherconf.postinst
    configure'), i would not have made this mistake.  This came as quite a
    surprise.
  * Back up and remove /etc/hosts and /etc/network/interfaces if they
    exist and don't have etherconf sections.
  * Many, many changes to the configlet, including many improvements and
    updating to the latest configlet interface.

 -- Jeff Licquia <jlicquia@progeny.com>  Tue, 22 Jan 2002 14:08:00 -0500

etherconf (1.4) unstable; urgency=low

  * Add and register a configlet.
  * Use ':' instead of '-' to separate template name from device in
    registered device-specific questions (i.e. etherconf/dhcp-p-eth0
    becomes etherconf/dhcp-p:eth0).

 -- Eric Gillespie, Jr. <epg@debian.org>  Wed,  5 Dec 2001 14:21:17 -0500

etherconf (1.3) unstable; urgency=low

  * Um, how about setting up the loopback interface?

 -- Eric Gillespie, Jr. <epg@debian.org>  Mon, 26 Nov 2001 14:15:35 -0500

etherconf (1.2) unstable; urgency=low

  * Fix README.
  * Put a proper entry in /etc/hosts if one can be determined, else
    nothing.

 -- Eric Gillespie, Jr. <epg@debian.org>  Mon, 26 Nov 2001 14:00:26 -0500

etherconf (1.1) unstable; urgency=low

  * New maintainer.
  * Rewrite postinst and config scripts.  The menu is gone, and etherconf
    can now configure multiple NICs.

 -- Eric Gillespie, Jr. <epg@debian.org>  Wed, 21 Nov 2001 15:49:25 -0500

etherconf (1.0.5) unstable; urgency=low

  * debian/README.Debian: Deleted.
  * debian/postinst: Stop deleting configuration files.
  * debian/templates: Make the long description accurate for DHCP
    configurations.
  * debian/config: Make DHCP hostname question low priority, make system
    hostname high priority, and use the system hostname as a default for
    DHCP hostname.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Tue,  6 Mar 2001 13:45:15 -0500

etherconf (1.0.4) unstable; urgency=low

  * Depend on dhcp-client instead of pump.
  * debian/templates: Make the short description of etherconf/configure
    stand alone.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Fri,  2 Mar 2001 05:14:13 -0500

etherconf (1.0.3) unstable; urgency=low

  * Built again.

 -- John Goerzen <jgoerzen@progenylinux.com>  Mon, 19 Feb 2001 18:32:30 -0500

etherconf (1.0.2) unstable; urgency=low

  * Write out hosts in same way for dhcp.  Closes 690.

 -- John Goerzen <jgoerzen@progenylinux.com>  Wed, 17 Jan 2001 11:00:44 -0500

etherconf (1.0.1) unstable; urgency=low

  * Now has option for system hostname in DHCP mode.
    Closes debian-packages/413.

 -- John Goerzen <jgoerzen@progenylinux.com>  Mon,  8 Jan 2001 13:54:40 -0500

etherconf (1.0.0) unstable; urgency=low

  * Made it into a Debian native package.

 -- John Goerzen <jgoerzen@progenylinux.com>  Mon, 13 Nov 2000 16:26:43 -0500

etherconf (0.1-15) unstable; urgency=low

  * Fixed nodevs in templates, closes debian-packages/345.

 -- John Goerzen <jgoerzen@progenylinux.com>  Sun, 12 Nov 2000 15:57:35 -0500

etherconf (0.1-14) unstable; urgency=low

  * Workaround a bug that could clobber other package's interfaces
    sections.

 -- John Goerzen <jgoerzen@progenylinux.com>  Sun, 12 Nov 2000 14:58:59 -0500

etherconf (0.1-13) unstable; urgency=low

  * Change to libconfhelper-perl.
  * Remove pppconf kludge because of this change.
  * Add dependency on libconfhelper-perl.
  * Remove debconfhelper.pm from package.

 -- John Goerzen <jgoerzen@progenylinux.com>  Sun, 12 Nov 2000 14:04:36 -0500

etherconf (0.1-12) unstable; urgency=low

  * Prompt about removable devices.  This way, don't put eth0 in
    auto line if they are using a laptop.

 -- John Goerzen <jgoerzen@progenylinux.com>  Fri, 27 Oct 2000 13:04:33 -0500

etherconf (0.1-11) unstable; urgency=low

  * Various minor tune-ups

 -- John Goerzen <jgoerzen@progenylinux.com>  Tue, 24 Oct 2000 11:10:34 -0500

etherconf (0.1-10) unstable; urgency=low

  * Fixed a bug in the menu display wrt the dhcphost.

 -- John Goerzen <jgoerzen@progenylinux.com>  Mon, 23 Oct 2000 12:26:43 -0500

etherconf (0.1-9) unstable; urgency=low

  * Update to use new ifupdown.

 -- John Goerzen <jgoerzen@progenylinux.com>  Mon, 23 Oct 2000 12:01:51 -0500

etherconf (0.1-8) unstable; urgency=low

  * Fixed a spelling mistake.


