=== debian/control ===
Source: etherconf
Section: net
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper

Package: etherconf
Architecture: all
Depends: debconf, ifupdown (>= 0.6.4), dhcp-client, libconfhelper-perl
Description: debconf interface to Ethernet configuration
 This package provides a debconf-based interface to configuring the
 Ethernet on your system.  Currently, it will only configure one Ethernet
 device, but more support is planned in the future.
