## etherconf 1.17

=== debian/changelog ===
etherconf (1.17) unstable; urgency=low

  * Don't fail if no network interfaces are available for some reason.
  * Applied NMU patch from etherconf 1.14-0.4.  Closes: #237106.
  * Depend on dhcp-client only, as it's now virtual and real.
    Closes: #198498.
  * Don't assign an IPv6 address for localhost.  Closes: #205588.
  * Use *non* DHCP static IP addresses when looking for a default,
    since DHCP interfaces won't have static IP addresses.
    Closes: #216085.
  * If there are no static addresses assigned to any interfaces,
    assign the hostname to 127.0.0.1 in /etc/hosts.
    Closes: #198612.

 -- Jeff Licquia <licquia@progeny.com>  Thu, 18 Mar 2004 15:03:12 -0500

etherconf (1.16) unstable; urgency=low

  * Internal test release.

 -- Jeff Licquia <licquia@progeny.com>  Tue, 20 Jan 2004 15:51:38 -0500

etherconf (1.15) unstable; urgency=low

  * Port to GTK/GNOME 2.
  * Realigned the widgets to fit better in the small space in firstboot.
  * Applied NMU patch to fix noninteractive clobbering of hostname.
    Closes: #189767.
  * Applied NMU patch to fix empty broadcast line.  Closes: #197434.
  * Applied NMU patch to calculate broadcast address.

 -- Jeff Licquia <licquia@progeny.com>  Mon, 27 Oct 2003 23:20:57 -0500

etherconf (1.14-0.4) unstable; urgency=low

  * NMU with maintainer approval
  * Switch to po-debconf for templates. Closes: #237106
  * Added/updated debconf translations:
    Czech, Danish, Spanish, Finnish, French, Japanese, Norwegian Nynorsk
    Brazilian Portuguese

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Mar 2004 14:05:03 +0100

etherconf (1.14-0.3) unstable; urgency=low

  * NMU.
  * Handle hostname settings more gracefully under
    DEBIAN_FRONTEND=noninteractive, defaulting to `hostname` instead of
    ''. (Closes: #189767)

 -- Steve Langasek <vorlon@debian.org>  Sat, 23 Aug 2003 00:59:12 -0500

etherconf (1.14-0.2) unstable; urgency=low

  * Non-maintainer upload with approval from the maintainer.
  * Only write a broadcast line if it is set. (Closes: #197434)

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 23 Jun 2003 08:06:11 +0200

etherconf (1.14-0.1) unstable; urgency=low

  * Non-maintainer upload with approval from the maintainer.
  * Add support for broadcast adress on static IP configuration
    (Closes: #153465)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Apr 2003 18:01:38 +0200

etherconf (1.14) unstable; urgency=medium

  * debian/etherconf.config:
    - More gracefully handle situation where we cannot read /proc/net/dev for
      interface names (as can happen if /proc is not mounted).
  * debian/etherconf.postinst:
    - Fix bogus test for update-configlets.  (Closes: #179274)
    - Failure of updates-configlets is not fatal to the postinst.

 -- Branden Robinson <branden@progeny.com>  Mon,  3 Feb 2003 10:27:54 -0500

etherconf (1.13) unstable; urgency=medium

  * debian/control:
    - add Uploaders field
    - depend on pump or udhcpc as alternatives to dhcp-client
      (Closes: #149023)
  * debian/etherconf.postinst:
    - Only write a "hostname" line for a dhcp interface to
      /etc/network/interfaces if a DHCP hostname was actually configured.
      (Closes: #175100)
    - Issue explicit stop() to tell debconf to go away at end of script.
      Fixes infinite-hang/zombie-process problem in some configurations.
      (Closes: #169806)
    - Fix sense of test when checking for explicit DHCP IP.  (Closes: #178111)

 -- Branden Robinson <branden@progeny.com>  Thu, 30 Jan 2003 18:42:21 -0500

etherconf (1.12) unstable; urgency=medium

  * debian/etherconf.postinst: handle case where user deliberately leaves the
    gateway blank (Closes: #141474)
  * debian/etherconf.templates.es: added Spanish translations courtesy of
    Lucas Moreno Encabo (Closes: #143182)
  * debian/etherconf.templates.pt_BR: added Brazilian Portuguese translations
    courtesy of Andre Luis Lopes (Closes: #140703)

 -- Branden Robinson <branden@progeny.com>  Thu, 25 Apr 2002 17:20:56 -0500

etherconf (1.11) unstable; urgency=medium

  * debian/control:
    - add Suggests: configlet-frontends
    - rewrote description
  * debian/etherconf.templates:
    - changed default answer of "etherconf/replace-existing-files" to false
      (Closes: #137138)
    - rewrote template descriptions

 -- Branden Robinson <branden@progeny.com>  Wed, 24 Apr 2002 12:06:47 -0500
