=== debian/control ===
Source: etherconf
Section: net
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Uploaders: Jeff Licquia <licquia@progeny.com>, Branden Robinson <branden@progeny.com>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper (>= 4.1.16)

Package: etherconf
Architecture: all
Depends: debconf (>= 1.2.0), ifupdown (>= 0.6.4), dhcp-client, libconfhelper-perl
Suggests: configlet-frontends
Conflicts: python-configlet (<< 2.0)
Description: debconf interface to Ethernet device configuration
 Etherconf is a debconf-based interface for configuring Ethernet devices on
 your system.  It supports both manual and DHCP-based configurations.
