## etherconf 1.17-0.1

=== debian/changelog ===
etherconf (1.17-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated Spanish debconf translation thanks to Javier Fernández-Sanguino
    Peña. Closes: #239925.
  * New Dutch debconf translation thanks to Luk Claes. Closes: #240038.
  * New German debconf translation thanks to Erik Schanze. Closes: #252658.
  * Updated Czech debconf translation thanks to Miroslav Kure.
    Closes: #260864.
  * Updated Brazillian Portuguese debconf translation thanks to Andre Luis
    Lopez. Closes: #264100.
  * New Russian debconf translation thanks to Yuri Kozlov.
  * New Simplified Chinese debconf translation thanks to Carlos Liu

 -- Luk Claes <luk@debian.org>  Mon, 14 Feb 2005 16:41:34 +0100
