=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# $Progeny: rules,v 1.7 2002/01/18 06:19:47 dsp Exp $
+# $Progeny: rules 4056 2004-01-20 20:54:34Z licquia $
 
 export DH_COMPAT=1
